/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 1.0.1
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/*
    Add your custom styles here
*/
@font-face {
  font-family: 'Sansation';
  src: url('fonts/Sansation-Regular.ttf') format('truetype');
  font-weight: normal;
  font-style: normal;
}
@font-face {
  font-family: 'Sansation';
  src: url('fonts/Sansation-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
}
.parent_hover_for_text{
  cursor: pointer;
}
.our_products_dropdonw_btns ul.hfe-nav-menu .menu-item .hfe-menu-item:hover{
  border-bottom: 1px solid #E94932;
}
.our_products_dropdonw_btns ul.hfe-nav-menu .menu-item .hfe-menu-item{
  border-bottom: 1px solid transparent;
  text-wrap-mode: nowrap;
}
.parent_hover_for_text:hover .hoveranimation_text .elementor-heading-title{
  color: #E94932;
}

.parent_hover_button:hover .hover_button_parent .elementor-icon svg path{
  stroke: #E94932;
}
.parent_hover_button:hover .hover_button_parent .elementor-icon{
  border-radius: 5px;
  overflow: hidden;
}
.hover_parent_container{
  cursor: pointer;
}
.hover_parent_container:hover .hover_text_parent_container .elementor-heading-title{
  color: #E94932;
}
.hover_parent_container:hover .hover_icon_parent_container .elementor-icon svg rect{
  fill: #e94b3249;
}
.parent_hover_button:hover .hover_button_parent .elementor-icon{
  background: #fff;
}
.parent_hover_button{
  cursor: pointer;
}
.list-padding-remove ul{
    padding-left: 26px;
}
/* body,
h1, h2, h3, h4, h5, h6,
p, span, a, div {
  font-family: 'Sansation', sans-serif !important;
} */


.newsletter-wrapper {
  display: flex;
  align-items: center;
  border-bottom: 1px solid #ccc;
  background-color: #1c1c1c;
  padding: 10px 0;
  width: 400px;
  position: relative;
}
.newsletter-wrapper br {
    display: none;
}
.newsletter-wrapper p {
    display: flex;
    width: 100%;
    justify-content: space-between;
    align-items: center;
    margin: 0;
}

.newsletter-wrapper input[type="email"] {
    flex: 1;
    background: transparent;
    border: none;
    outline: none;
    color: white !important;
    font-size: 14px;
    font-style: normal;
    font-weight: 300;
    line-height: 20px; /* 142.857% */
    padding: 0;
    margin: 0;
    font-family: "Lexend", Sans-serif;
}

.newsletter-wrapper input[type="email"]::placeholder {
    color: white !important;
    font-size: 14px;
    font-style: normal;
    font-weight: 300;
    line-height: 20px;
    font-family: "Lexend", Sans-serif;
}

.newsletter-submit {
  background: none;
  border: none;
  color: #e24b2d;
  font-size: 18px;
  cursor: pointer;
  padding: 0;
  margin-left: 8px;
  transition: color 0.3s ease;
}

.newsletter-submit:hover , .newsletter-submit:focus {
  background-color: transparent !important;
}

.wpcf7 form .wpcf7-response-output{
    margin: 10px 0px !important;
    font-family: "Lexend", Sans-serif;
    font-size: 16px;
    font-weight: 300;
    line-height: 24px;
    color: #FFFFFF;
}
.anchortext-color a{
    color: var(--White, #FFF) !important;
}
.anchortext-color a:hover,
.anchortext-color a:focus {
    color: var(--White, #FFF) !important;
}

.footer-menu-small #menu-item-84{
    padding-right: 8px;
    border-right: 0.5px solid var(--White, #FFF);
}

.footer-menu-small #menu-item-83{
    padding-left: 8px;
}
.legel_footer_menu .hfe-nav-menu li.menu-item:first-of-type {
    border-right: 1px solid #fff;
    padding-right: 8px;
}
/* .navbar-main .hfe-nav-menu{
    flex-wrap: nowrap !important;
} */

.navbar-main ul.sub-menu li .hfe-sub-menu-item:hover{
  border-bottom: 1px solid #E94932;
}
.navbar-main ul.sub-menu li .hfe-sub-menu-item{
  border-bottom: 1px solid transparent;
}
.width_fit_contetn{
  flex: 1 !important;
  min-width: 130px;
}
.header_products_links_head a{
  color: #000 !important;
}
.navbar-main ul.hfe-nav-menu > li:last-child > a {
  color: #E94932 !important;
}
.navbar-main ul.hfe-nav-menu > li:last-child > a:hover {
  background-color: #E94932 !important;
  color: #fff !important;
}
.navbar-main .hfe-nav-menu .menu-item{
    align-content: center;
}
.navbar-main .hfe-nav-menu .menu-item a:after{
    height: 2px !important;
}
.navbar-main .hfe-nav-menu .menu-item:last-child .hfe-menu-item:after {
    height: 0px !important;
}
.hfe-menu-toggle.sub-arrow{
  display: none;
}
.navbar-main .menu-item-has-children .sub-menu .hfe-sub-menu-item{
  width: fit-content;
}
.navbar-main .menu-item-has-children .sub-menu{
  padding: 24px 32px;
  display: flex;
  flex-direction: column;
  gap: 24px;
}

.navbar-main .menu-item-has-children .sub-menu .hfe-sub-menu-item{
  position: relative;
}
.navbar-main .menu-item-has-children .sub-menu .hfe-sub-menu-item::after {
    content: "";
    position: static;
    width: 20px;      /* adjust size */
    height: 20px !important;
    background: url("/wp-content/uploads/2025/07/chevron-right.svg") no-repeat center;
    background-size: contain;
    pointer-events: none; /* prevents blocking clicks */
}

/* Tablet styles */
@media (max-width: 1024px) {
    .newsletter-wrapper {
        width: 100%;
    }
    /* .navbar-main .hfe-nav-menu{
        padding: 0 24px;
        flex-wrap: wrap !important;
    } */
}
/* Mobile styles */
/* Rdev006 start */
/* become-a-partner form start */
#become-a-partner {
  max-width: 400px;
  /* margin: 0 auto; */
  background-color: #faf3eb; /* light cream bg similar to screenshot */
  /* padding: 20px; */
  border-radius: 8px;
  font-family: 'Arial', sans-serif;
}

#become-a-partner label {
  display: block;
  margin-bottom: 20px;
  font-size: 14px;
  color: #333;
}

#become-a-partner .input-field {
  width: 100%;
  border: none;
  border-bottom: 2px solid #666;
  padding: 8px 0;
  background: transparent;
  font-size: 16px;
  color: #1D1D1D;
  outline: none;
  border-radius:0px;

  font-size: 12px;
  font-weight: 300;
  line-height: 16px;
  font-family: "Lexend";
}

#become-a-partner .input-field::placeholder {
  color: #000;
}

#become-a-partner .button-wrap {
  margin-top: 10px;
}
.button-wrap p{
  margin: 0;
}
#become-a-partner .wpcf7-spinner {
  display: none;
}
#become-a-partner .submit-button {
  background-color: #e74c3c;
  color: white;
  border: none;
  padding: 11px 15%;
  border-radius: 5px;
  font-size: 15px;
  cursor: pointer;
  font-weight: bold;

  font-size: 14px;
  font-weight: 700;
  line-height: 14px;
  font-family: "Lexend";
}
@media(max-width: 768px){
  #become-a-partner .submit-button {
    width: 100%;
  }
}
#become-a-partner .submit-button:hover {
  background-color: #d84332;
}

/* Contact the GoodARCH team. form start  */
#co .custom-grid-form {
  max-width: 700px;
  margin: 0 auto;
  background-color: #fef9f4;
  /* padding: 20px; */
  border-radius: 8px;
  font-family: 'Arial', sans-serif;
}

#co .form-row {
  display: flex;
  gap: 20px;
  flex-wrap: wrap;
}

#co .form-col {
  flex: 1 1 48%;
}

#co .form-col-full {
  flex: 1 1 100%;
}

#co .input-field {
  width: 100%;
  padding: 5px 10px;
  border-radius: 8px;
  border: none;
  background-color: #fcf3e9;
  font-size: 12px;
  color: #333;
  box-sizing: border-box;
}

#co .input-field::placeholder {
  color: #000;
}

#co textarea.input-field {
  min-height: 120px;
  resize: vertical;
  height: 100px;
}

#co .submit-button {
  width: 100%;
  background-color: #ea4c35;
  color: white;
  border: none;
  padding: 8px 0;
  border-radius: 6px;
  font-size: 16px;
  font-weight: bold;
  cursor: pointer;
}

#co .submit-button:hover {
  background-color: #d63b25;
}

/* Contact the GoodARCH team. form end  */
/* become-a-partner form end */
/* Rdev006 end */


/* small form mail  */
.small_form_mail form p .wpcf7-spinner{
    display: none;
}
.small_form_mail form p{
    display: flex;
    flex-direction: column;
    margin: 0;
    gap: 24px;
}
.small_form_mail form p input[type="submit"]:hover {
/*     background: transparent;
    color: #E94932; */
}
.small_form_mail form p input[type="submit"] {
    max-width: 200px;
    border-radius: 5px;
    border: 1px solid #E94932;
    padding: 0 16px;
    background: #E94932;
    display: flex;

    font-family: "Lexend", Sans-serif;
    font-size: 14px;
    font-weight: 700;
    line-height: 35px;
    color: #FFFFFF;
}
.small_form_mail form p input[name="your-email"]::placeholder {
    opacity: 1;       /* make placeholder fully opaque */
    color: #1D1D1D;      /* optional: set a color */
}
.small_form_mail form p input[name="your-email"] {
    padding: 10px 0;
    display: flex;
    background: none;
    outline: none;
    border: none;
    border-radius: 0;
    border-bottom: 1px solid #1D1D1D;

    font-family: "Lexend", Sans-serif;
    font-size: 12px;
    font-weight: 300;
    line-height: 16px;
}
@media(max-width: 768px){
  .small_form_mail form p input[type="submit"]{
    width: 100%;
    max-width: 100%;
  }
}


/* contact us page form  */
.contact_us_form form .row p span{
    flex: 1;
}
.contact_us_form form .row p{
    display: flex;
    gap: 16px;
    margin: 0;
}
.contact_us_form form .wpcf7-spinner{
    display: none;
}
.contact_us_form form{
    display: flex;
    flex-direction: column;
    gap: 16px;
}
.contact_us_form form select{
    font-family: "Lexend", Sans-serif;
    font-size: 12px;
    font-weight: 300;
    line-height: 16px;
    padding: 10px 16px;
    background: #FEFCF4;
    border-radius: 8px;
    border: none;
    outline: none;
    color: #1D1D1D;
}
.contact_us_form form input::placeholder{
    opacity: 1;
    color: #1D1D1D;
}
.contact_us_form form textarea{
    height: 130px;
}
.contact_us_form form textarea,
.contact_us_form form input[type="text"],
.contact_us_form form input[type="tel"],
.contact_us_form form input[type="email"]{
    font-family: "Lexend", Sans-serif;
    font-size: 12px;
    font-weight: 300;
    line-height: 16px;
    padding: 10px 16px;
    background: #FEFCF4;
    border-radius: 8px;
    border: none;
    outline: none;
    color: #1D1D1D;
}
.contact_us_form form input[type="submit"]:hover{
/* background: transparent;
color: #E94932; */
}
.contact_us_form form input[type="submit"]{
    width: 100%;
    border: 1px solid #E94932;
    background: #E94932;
    padding: 0 16px;
    border-radius: 5px;
    outline: none;

    font-family: "Lexend", Sans-serif;
    font-size: 14px;
    font-weight: 700;
    line-height: 35px;
    color: #FFFFFF;
}
@media(max-width: 768px){
  .contact_us_form form .row p{
    flex-direction: column;
    gap: 8px;
  }
  .contact_us_form form{
    gap: 8px;
  }
}



/* privacy policy / terms page css  */
.privecy_terms_list_remove_padding ol,
.privecy_terms_list_remove_padding ul{
    padding-left: 22px;
}



/* become partner form become a partner page  */
.become_partner_form form input[type="text"],
.become_partner_form form input[type="email"],
.become_partner_form form input[type="number"]{
  padding: 10px 0;
  display: flex;
  border-bottom: 1px solid #1D1D1D;
  border-top: none;
  border-right: none;
  border-left: none;
  outline: none;
  background: none;
  border-radius: 0;

  font-family: "Lexend", Sans-serif;
  font-size: 12px;
  font-weight: 300;
  line-height: 16px;
  color: #1D1D1D;
}
.become_partner_form form p .wpcf7-spinner{
  display: none;
}
.become_partner_form form p{
  display: flex;
  flex-direction: column;
  gap: 24px;
  margin-bottom: 0;
}
.become_partner_form form input[type="submit"]:hover{
/*   color: #E94932;
  background: transparent; */
}
.become_partner_form form input[type="submit"]{
  max-width: 100%;
  margin-top: 8px;
  justify-content: center;
  padding: 0 16px;
  border-radius: 5px;
  border: 1px solid #E94932;
  display: flex;
  outline: none;
  background: #E94932;
  display: flex;

  font-family: "Lexend", Sans-serif;
  font-size: 14px;
  font-weight: 700;
  line-height: 35px;
  color: #FFFFFF;
}


/* Base alert box */
.wpcf7 form .wpcf7-response-output {
    margin: 20px 0;
    padding: 10px;
    border: 2px solid #E94932; /* default border color */
    background-color: #F9F3E8; /* soft background */
    color: #000000; /* text color */
    font-family: "Outfit", sans-serif;
    font-size: 12px;
    line-height: 1.4;
    border-radius: 6px;
    box-shadow: 0 3px 8px rgba(0,0,0,0.05);
    text-align: center;
}

/* Success message */
.wpcf7 form.sent .wpcf7-response-output {
    border-color: #000000;
    background-color: #F9F3E8;
    color: #000000;
}

/* Validation error / general error */
.wpcf7 form.invalid .wpcf7-response-output,
.wpcf7 form.failed .wpcf7-response-output,
.wpcf7 form.aborted .wpcf7-response-output {
    border-color: #E94932;
    background-color: #F9F3E8;
    color: #E94932;
}

/* Optional subtle animation */
.wpcf7-response-output {
    animation: fadeIn 0.5s ease-in-out;
}
@keyframes fadeIn {
    from { opacity: 0; transform: translateY(-5px); }
    to { opacity: 1; transform: translateY(0); }
}





/* about us our story goodarch core slider css become a partner also */
.goodarch_core_slider .slick-track .slick-slide{
  height: auto;
}
.goodarch_core_slider .slick-track{
  display: flex !important;
}
.become_a_partner_static_slider .slick-track .slick-slide{
  height: auto;
}
.become_a_partner_static_slider .slick-track{
  display: flex !important;
}
.become_a_partner_second_slider_static .slick-track .slick-slide{
  height: auto;
}
.become_a_partner_second_slider_static .slick-track{
  display: flex !important;
}
.contact_us_form form textarea::placeholder,
.contact_us_form form input[type="text"]::placeholder,
.contact_us_form form input[type="tel"]::placeholder,
.contact_us_form form input[type="email"]::placeholder {
    color: #1D1D1D;
    opacity: 1; /* ensure full visibility across browsers */
}